id: 1
createtime: 2023-09-15T13:47:01.415088366Z
name: app1.1.windup
addon: analyzer
data:
    mode:
        artifact: ""
        binary: false
        diva: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=cloud-readiness
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
application:
    id: 1
    name: app1
state: Succeeded
image: quay.io/konveyor/tackle2-addon-analyzer:latest
pod: konveyor-tackle/task-1-4kdgc
started: 2023-09-15T13:47:02.267031384Z
terminated: 2023-09-15T13:49:06.821123335Z
bucket:
    id: 2
    name: ""
activity:
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=1) source.'
    - '[FILE] Created /addon/.gitconfig.'
    - '[FILE] Created /addon/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone https://github.com/konveyor/tackle-testapp /addon/source/tackle-testapp'
    - '[CMD] succeeded.'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=18 (openshift)'
    - '[RULESET] fetching (dep): id=22 (.technology-usage)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/converted /addon/rules'
    - '[CMD] succeeded.'
    - 'Settings: /addon/opt/settings.json'
    - '> - name: go'
    - '>   binaryPath: /usr/bin/generic-external-provider'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       dependencyProviderPath: /usr/bin/golang-dependency-provider'
    - '>       lspServerPath: /root/go/bin/gopls'
    - '>       name: go'
    - '> - name: java'
    - '>   binaryPath: /jdtls/bin/jdtls'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core-1.0.0-SNAPSHOT.jar'
    - '>       depOpenSourceLabelsFile: /usr/local/etc/maven.default.index'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '> - name: builtin'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp'
    - '>     analysisMode: ""'
    - '> '
    - '[CMD] Running: /usr/bin/konveyor-analyzer --provider-settings /addon/opt/settings.json --output-file /addon/report.yaml --no-dependency-rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/18/rules --rules /addon/rules/rulesets/22/rules --rules /addon/rules/converted --label-selector konveyor.io/target=cloud-readiness --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/konveyor-analyzer-dep --provider-settings /addon/opt/settings.json --output-file /addon/deps.yaml'
    - '[CMD] succeeded.'
    - 'Analysis reported. duration: 245.234711ms'
    - '[TAG] Tagging Application 1.'
    - Facts updated.
    - Done.
